Diff

Differences From Artifact [5b2def5433]:

To Artifact [fcb2d0c6dc]:


     7      7   if [ "$1" = "clean" ]; then
     8      8   	mode="clean"
     9      9   fi
    10     10   if [ "$1" = "distclean" ]; then
    11     11   	mode="distclean"
    12     12   fi
    13     13   
           14  +failedpkgs=""
           15  +buildfailed="0"
    14     16   for pkg in tcl tk itcl mk4tcl tclvfs memchan kitsh; do
    15     17   	if [ "${mode}" = "distclean" ]; then
    16     18   		rm -rf "${pkg}/src"
    17     19   	fi
    18     20   
    19     21   	if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then
    20     22   		rm -f "${pkg}/build.log"
    21     23   		rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build"
    22     24   
    23     25   		continue
    24     26   	fi
    25     27   
           28  +	failed="0"
    26     29   	(
    27     30   		cd "${pkg}" || exit 1
    28     31   
    29     32   		./build.sh > build.log 2>&1 || exit 1
    30         -	) || failed="${failed} ${pkg}"
           33  +	) || failed="1"
           34  +
           35  +	if [ "${failed}" = "1" ]; then
           36  +		failedpkgs="${failedpkgs} ${pkg}"
           37  +	fi
    31     38   
    32     39   	case "${pkg}" in
    33     40   		tcl)
    34     41   			TCLCONFIGDIR=$(find "$(pwd)/tcl/build" -name tclConfig.sh | head -1 | sed 's@/[^/]*$@@')
    35     42   			export TCLCONFIGDIR
    36     43   			;;
           44  +		memchan)
           45  +			failed="0"
           46  +			;;
    37     47   	esac
           48  +
           49  +	if [ "${failed}" = "1" ]; then
           50  +		buildfailed="1"
           51  +	fi
    38     52   done
    39     53   
    40         -if [ -n "${failed}" ]; then
    41         -	echo "Failed to build:${failed}"
           54  +if [ -n "${failedpkgs}" ]; then
           55  +	echo "Failed to build:${failedpkgs}"
           56  +fi
           57  +
           58  +if [ "${buildfailed}" != "0" ]; then
           59  +	echo 'WARNING: Build is likely incomplete or failed.' >&2
    42     60   fi
    43     61   
    44         -exit 0
           62  +cp 'kitsh/build'/kitsh-*/kit "tclkit-${TCLVERS}"
           63  +
           64  +exit "${buildfailed}"